/* Faa um programa que receba os coeficientes de uma equao do 2. grau
   calcule e imprima as raizes reais desta equao ou imprima a mensagem
   "A equao nao tem raizes reais".
   Obs.
   O programa deve usar as seguintes funes auxiliares:
   1. le_float - para ler um nmero real
   2. delta - calcula o discriminante
   3. imprime_raizes - calcula e imprime as razes ou imprime "nao existe raizes"
*/

#include <iostream>
#include <math.h>

using namespace std;

float le_float()
{
    float x;
    cin >> x;
    return x;
}

float delta(float a, float b, float c)
{
    return pow(b,2) - 4*a*c;
}

void imprime_raizes(float a, float b, float c)
{
    float d = delta(a,b,c);

    if(d < 0)
    {
        cout << "A equacao nao tem raizes reais." << endl;
    }
    else if(d == 0)
    {
        cout << "A equacao tem duas raizes iguais a " << -b/(2*a);
    }
    else
    {
        cout << "A equacao tem duas raizes iguais distintas " << endl
             << "x = " << (-b + sqrt(d))/(2*a) << endl
             << "x = " << (-b - sqrt(d))/(2*a) << endl;
    }
}

int main()
{
    float a, b, c;

    cout << "Equacao do segundo grau: ax^2 + bx + c = 0" << endl;
    cout << "Digite o valor de a: ";
    a = le_float();
    cout << "Digite o valor de b: ";
    b = le_float();
    cout << "Digite o valor de c: ";
    c = le_float();

    imprime_raizes(a,b,c);
    return 0;
}
