/* Faa um programa que receba os coeficientes de uma equao do 2. grau
   calcule e imprima as raizes reais desta equao ou imprima a mensagem
   "A equao nao tem raizes reais".
   Obs.
   O programa deve usar as seguintes funes auxiliares:
   1. le_float - para ler um nmero real
   2. delta - calcula o discriminante
   3. imprime_raizes - calcula e imprime as razes ou imprime "nao existe raizes"
*/

#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    float a, b, c, d, x1, x2;

    cout << "Equacao do segundo grau: ax^2 + bx + c = 0" << endl;
    cout << "Digite o valor de a: ";
    cin >> a;
    cout << "Digite o valor de b: ";
    cin >> b;
    cout << "Digite o valor de c: ";
    cin >> c;

    d = pow(b,2) - 4*a*c;
    if(d < 0)
    {
        cout << "A equacao nao tem raizes reais." << endl;
    }
    else if(d == 0)
    {
        x1 = -b/(2*a);
        cout << "A equacao tem duas raizes iguais a " << x1;
    }
    else
    {
        x1 = (-b + sqrt(d))/(2*a);
        x2 = (-b - sqrt(d))/(2*a);
        cout << "A equacao tem duas raizes iguais distintas " << endl
             << "x = " << x1 << endl
             << "x = " << x2 << endl;
    }
    return 0;
}
